« Plugins para comentarios | Inicio | Actualizando Wordpress »

Arreglar errores al actualizar Wordpress

Escrito por admin | 14-May-2007

Si al actualizar a la versión 2.1 o similar de Wordpress, te encuentras que te sale el siguiente mensaje de error:

WordPress database error: [Table ‘XXXX.wp_link2cat’ doesn’t exist] SELECT category_id FROM wp_link2cat WHERE link_id = 11 ORDER BY category_id

o

[Unknown column ‘link_count’ in ‘where clause’]…

En Pierre2pierre.net he encontrado la solución:

Arreglarlo es tan simple como, desactivar todos los plugins, editar el fichero /wp-admin/upgrade-functions.php y eliminar, en la linea 134, el siguiente codigo:

// We are up-to-date. Nothing to do.
if ( $wp_db_version == $wp_current_db_version )
return;

Os aparecerán un par de errores, seguir. Y volver a ejecutar el /wp-admin/upgrade.php y listo!

Temas: General .|. Comenta la noticia .